#2928 closed defect (fixed)

FAT filename comparision is broken while using the UTF-8 support

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 4.11.2
Component: fs/fat Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The handling of a maximum 8.3 short file name is broken while using the UTF-8 support. A simple "touch txtvsbin.txt" doesn't work.

Change History (4)

comment:1 Changed on Mar 14, 2017 at 1:10:07 PM by Sebastian Huber

Owner: changed from chrisj@… to Sebastian Huber
Status: newassigned

comment:2 Changed on Mar 16, 2017 at 2:34:38 PM by Sebastian Huber <sebastian.huber@…>

In 1becaa9/rtems:

dosfs: Fix msdos_utf8_normalize_and_fold()

It is all right in case the result uses the full destination buffer.
Without this fix the handling of a maximum 8.3 short file name is
broken.

Update #2928.

comment:3 Changed on Mar 21, 2017 at 3:16:41 PM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 21d7154b/rtems:

dosfs: Fix msdos_utf8_normalize_and_fold()

It is all right in case the result uses the full destination buffer.
Without this fix the handling of a maximum 8.3 short file name is
broken.

Close #2928.

comment:4 Changed on Oct 10, 2017 at 6:50:58 AM by Sebastian Huber

Component: fsfs/fat
Note: See TracTickets for help on using tickets.